Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome.db
Class DBRegisterInfo

    java.lang.Object
      |
      +--com.jxml.qare.qhome.db.DBBase
            |
            +--com.jxml.qare.qhome.db.DBRegisterInfo

All Implemented Interfaces:
  DeleteListener, EventListener

public final class DBRegisterInfo
extends DBBase
implements DeleteListener

Inner Class Summary
`class` | `DBRegisterInfo.Row`

Fields inherited from class com.jxml.qare.qhome.db.DBBase
`createListeners, dbBases, deleteListeners, fileDateFormat, restored`

Method Summary
`void` | `backup(DataOutputStream dos)`
`DBRegisterInfo.Row` | `create(DBSystem.Row registrantSystem, String dhPublicKey, String dsaPublicKey)` Create an unconfirmed table entry.
`DBRegisterInfo.Row` | `create(DBSystem.Row registrantSystem, String dhPublicKey, String dsaPublicKey, String qareVersion)`
`DBRegisterInfo.Row` | `createDummy(DBSystem.Row registrantSystem)` Create a place holder, or dummy table entry.
`DBRow` | `createObj(ResultSet rs)`
`void` | `createTable()`
`void` | `deleteEvent(DeleteEvent deleteEvent)` Session delete events produce registerInfo delete events.
`DBRegisterInfo.Row` | `get(DBSystem.Row registeredSystem)`
`DBRegisterInfo.Row` | `get(int registerId)`
`DBRegisterInfo.Row` | `get(int registerId, int entryId)`
`int` | `getMaxRegisterId()`
`List` | `getRandomlySelectedPeerDetails(DBSystem.Row requestFrom)`
`DBSystem.Row` | `getRandomRegisteredSystem()`
`List` | `getRegisteredSystemNames()`
`static int` | `getRowCount()`
`void` | `restore(String fileNamePrefix, DataInputStream dis)`
`String` | `tableName()`
`static boolean` | `webServiceLimitExceeded()`

Methods inherited from class com.jxml.qare.qhome.db.DBBase
`addCreateListener, addDeleteListener, addKey, backup, backupString, clearRef, create, createCurrentDate, createTable, deleteWeak, executeUpdate, getRow, getRows, getRows, getWeak, removeCreateListener, removeDeleteListener, restore, restoreString, sendCreateEvent, sendDeleteEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### tableName

    public String tableName()

  Overrides:
    `tableName` in class `DBBase`

### createTable

    public void createTable()
                     throws Exception

  Overrides:
    `createTable` in class `DBBase`

### deleteEvent

    public void deleteEvent(DeleteEvent deleteEvent)
                     throws Exception

  Session delete events produce registerInfo delete events.
  Specified by:
    `deleteEvent` in interface `DeleteListener`

### get

    public DBRegisterInfo.Row get(DBSystem.Row registeredSystem)
                           throws Exception

### get

    public DBRegisterInfo.Row get(int registerId)
                           throws Exception

### get

    public DBRegisterInfo.Row get(int registerId,
                                  int entryId)
                           throws Exception

### getRowCount

    public static int getRowCount()
                           throws Exception

### webServiceLimitExceeded

    public static boolean webServiceLimitExceeded()
                                           throws Exception

### getRandomRegisteredSystem

    public DBSystem.Row getRandomRegisteredSystem()
                                           throws Exception

### getRandomlySelectedPeerDetails

    public List getRandomlySelectedPeerDetails(DBSystem.Row requestFrom)
                                        throws Exception

### getRegisteredSystemNames

    public List getRegisteredSystemNames()
                                  throws Exception

### createDummy

    public DBRegisterInfo.Row createDummy(DBSystem.Row registrantSystem)
                                   throws Exception

  Create a place holder, or dummy table entry. Note that create events are NOT generated when a dummy is created. Also, a dummy will not overwrite an existing entry.

### create

    public DBRegisterInfo.Row create(DBSystem.Row registrantSystem,
                                     String dhPublicKey,
                                     String dsaPublicKey)
                              throws Exception

  Create an unconfirmed table entry. Note that create events are NOT generated when an unconfirmed is created. Also, an unconfirmed will not overwrite an existing entry.

### create

    public DBRegisterInfo.Row create(DBSystem.Row registrantSystem,
                                     String dhPublicKey,
                                     String dsaPublicKey,
                                     String qareVersion)
                              throws Exception

### createObj

    public DBRow createObj(ResultSet rs)
                    throws Exception

  Overrides:
    `createObj` in class `DBBase`

### getMaxRegisterId

    public int getMaxRegisterId()
                         throws Exception

### backup

    public void backup(DataOutputStream dos)
                throws Exception

  Overrides:
    `backup` in class `DBBase`

### restore

    public void restore(String fileNamePrefix,
                        DataInputStream dis)
                 throws Exception

  Overrides:
    `restore` in class `DBBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD